LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XReferenceResolvedListener Interface Reference

Interface of Reference Resolved Listener. More...

`import"XReferenceResolvedListener.idl";`

Inheritance diagram for XReferenceResolvedListener:

## Public Member Functions
void | referenceResolved ([in] long referenceId) raises ( com::sun::star::uno::Exception )
| Notifies an element has been collected by an element collector. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface of Reference Resolved Listener.

This interface is used to receive the collection completion notification for a element collector.

## Member Function Documentation

void referenceResolved | ( | [in] long | referenceId | ) |
raises | ( | com::sun::star::uno::Exception
| ) |  |

Notifies an element has been collected by an element collector.

Parameters

  referenceId | the id of the element collector

The documentation for this interface was generated from the following file:

- com/sun/star/xml/crypto/sax/XReferenceResolvedListener.idl